/* Monetra 5.x C API
For any questions please contact  support@mainstreetsoftworks.com

Copyright (c) 2005, Main Street Softworks, Inc.
All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, 
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.
    * Neither the name of the Main Street Softworks, Inc. nor the names of its
      contributors may be used to endorse or promote products derived from 
      this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
OF THE POSSIBILITY OF SUCH DAMAGE.

*/

#include "libmonetra_main.h"
#include "monetra.h"

long M_ReadLine (char *string, long start, char **line)
{
	char *temp, *temp2;
	long end;
	temp2 = string + start;
	temp = strchr (temp2, '\n');
	if (temp == NULL)
		return (-1);
	end = strlen (string) - strlen (temp) + 1;
	line[0] = M_midstr (string, start, end - start - 2);
	if (line[0][end - start - 3] == '\r') {
		line[0][end - start - 3] = '\0';
	}
	return (end);
}

int M_ParseLine (char *line, char **option, char **value)
{
	char *temp;
	long pos;
	temp = strchr (line, '=');
	if (temp == NULL)
		return (0);
	pos = strlen (line) - strlen (temp);
	option[0] = M_midstr (line, 0, pos);
	value[0] = M_midstr (line, pos + 1, strlen (line) - (pos + 1));
	return (1);
}
